# Ds\Queue::__construct

(PECL ds >= 1.0.0)

Ds\Queue::__construct — Créer une nouvelle instance

### Description

public Ds\Queue::__construct(mixed `$values` = ?)

Créer une nouvelle instance en utilisant soit un objet traversable ou un tableau pour les `values` initiaux.

### Liste de paramètres

`values`

  Un objet traversable ou un tableau pour les valeurs initiales.

### Exemples

Exemple #1 Exemple de Ds\Queue::__construct()

`<?php
$queue = new \Ds\Queue();
var_dump($queue);
$queue = new \Ds\Queue([1, 2, 3]);
var_dump($queue);
?>`

Résultat de l'exemple ci-dessus est similaire à :

    object(Ds\Queue)#2 (0) {
    }
    object(Ds\Queue)#2 (3) {
      [0]=>
      int(1)
      [1]=>
      int(2)
      [2]=>
      int(3)
    }